qhold(1B)

NAME
qhold - hold pbs batch jobs

SYNOPSIS
qhold [-h hold_list] [-t array_range] job_identifier ...

DESCRIPTION
The qhold command requests that a server place one or more holds on a job. A job that has a hold is not eligible for execution. There are three supported holds: (also known as operator), and

A user may place a hold upon any job the user owns. An "operator", who is a user with "operator privilege," may place ether an or an hold on any job. The batch administrator may place any hold on any job.

If no option is given, the USER hold will be applied to the jobs described by the operand list.

If the job identified by is in the queued, held, or waiting states, then all that occurs is that the hold type is added to the job. The job is then placed into held state if it resides in an execution queue.

If the job is in running state, then the following additional action is taken to interrupt the execution of the job. If checkpoint / restart is supported by the host system, requesting a hold on a running job will (1) cause the job to be checkpointed, (2) the resources assigned to the job will be released, and (3) the job is placed in the held state in the execution queue.

If checkpoint / restart is not supported, qhold will only set the the requested hold attribute. This will have no effect unless the job is rerun with the qrerun command.

The qhold command sends a Hold Job batch request to the server as described in the general section.

OPTIONS

-h hold_list
    Defines the types of holds to be placed on the job.

    The argument is a string consisting of one or more of the letters "u", "o", or "s" in any combination. The hold type associated with each letter is:

    u -

    o -

    s -

-t array_range
    The array_range argument is an integer id or a range of integers. Multiple ids or id ranges can be combined in a comma delimted list. Examples: -t 1-100 or -t 1,10,50-100

    If an array range isn't specified, the command tries to operate on the entire array. The command acts on the array (or specified range of the array) just as it would on an individual job.

OPERANDS
The qhold command accepts one or more operands of the form:

STANDARD ERROR
The qhold command will write a diagnostic message to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the qhold command, the exit status will be a value of zero.

If the qhold command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
qrls(1B), qalter(1B), qsub(1B), pbs_alterjob(3B), pbs_holdjob(3B), pbs_rlsjob(3B), pbs_job_attributes(7B), pbs_resources_unicos8(7B)